Subject: bug#10690: 24.0.92; Can't set japanese font with cocoa

From: Alan Third <[email-masked]>
Date: Mon, 25 Sep 2017 19:25:01 +0100

Ivan Kanis <[email-masked]> writes:

> - write some japanese on the scratch buffer
> - for example C-\
> - select japanese-input
> - type "ai"
> - space and enter
> - C-x u = shows which font is used to display the japanese character
> - Now go to the menu -> Options -> Set default font
> - Select a different font
>
> The character remains the same. The default is ugly. I have attached a
> screen shot. The character in emacs should be the same as text edit
> below.

Sorry it's taken so long to get back to you.

This works as expected for me. The font you're selecting in the
screenshot (Hiragino Mincho ProN) doesn't support that character (you
can try it in fontbook), so Emacs tries to find a font that does support
it. In my case it's usually choosing either PingFang or Arial.

It's possible to use fontsets to convince Emacs to choose a better font.
-- 
Alan Third